### Method

# Ide TreeNode set_expanded_icon

#### Declaration

    void
    ide_tree_node_set_expanded_icon (
      IdeTreeNode* self,
      GIcon* expanded_icon
    )

#### Description

Sets the expanded icon for the tree node.

Available since: | 3.32

Sets property | `Ide.TreeNode:expanded-icon`

#### Parameters

`expanded_icon` | `GIcon`
| A `GIcon` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.